<div id="thePromotions" class="clearfix">
</div>

<script>
  var theBlacklisted = new Array();
  getBlacklisted();
  
  var theFeatures = new Array();
  
  $.ajax({ //This is for the Store Promotions
    type: "POST",
    url: "admin/lookUp.php",
	//url: "../zSharePortal/lookUpFeatures.php",
    data: "action=getFeatures",
    success: function(theResponse){
	  var theHTML = "";
	  $.each(theResponse, function(){
		//console.log(theResponse)
		var featName = this.feature_name.replace(/\\/g, '');
        var featHeadline = this.feature_headline.replace(/\\/g, '');
        var featText = this.feature_text.replace(/\\/g, '');
        var common = this.feature_common;
		var featPhoto = this.feature_photoSquare;
		var featLink = this.feature_link;
		theFeatures.push(this);
        
		theHTML += "<div class='anItem clearfix'><img alt='" + featHeadline + "' src='" + featPhoto + "' width='100%'><div><h4>" + featHeadline + "</h4><p>" + featText + "</p>";
		if(featLink != null){
		  theHTML += "<br><p id='readMoreBtn'><a class='btn' href='" + featLink + "'>Read More</a></p>";
		}
		theHTML += "</div></div>";
        
      });

	  $("#thePromotions").prepend(theHTML);
	}
  });
  
  $.ajax({ //This is for the Share Group Promotions
    type: "GET",
    url: base_site + "lookUpFeatures.php",
	//url: "../zSharePortal/lookUpFeatures.php",
    data: "action=getFeatures&website_url=" + web_URL + "&sg=" + site_sg + "&store_name=" + store_name,
    dataType: "jsonp",
	jsonp : "callback",
    jsonpCallback: "featureCallback"
  });
  
  
  
  function featureCallback(theResponse){
	  var theCount = $("#myCarousel .carousel-inner div.item").size();
	  //console.log("the store count is: " + theCount);
	  $.each(theResponse, function(){
        theFeatures.push(this);
		//console.log(this);
      });
	  
	  var theCount = 0;
	  
	  $.each(theFeatures, function(){
		if($.inArray(this.feature_id, theBlacklisted) == -1){
		  var theHTML = "";
		  var featFile = this.feature_file;
		  var featName = this.feature_name.replace(/\\/g, '');
		  var featHeadline = this.feature_headline.replace(/\\/g, '');
		  var featText = this.feature_text.replace(/\\/g, '');
		  var featLink = this.feature_link;
		  var common = this.feature_common;
		  var featPhoto = base_site + this.feature_photoSquare;
		  
		  
		  //This statement limits the common features. It shows all non-common features unconditionally. If it is a common feature, it will only be shown if the count of features already processed is less than the set number (3)
		  if(common == 0 || (common == 1 && theCount < 6)){ 
			  theHTML += "<div class='anItem clearfix'><img src='" + featPhoto + "' width='100%'><div><h4>" + featHeadline + "</h4><p>" + featText + "</p>";
			  if(featFile != "none"){
				theHTML += "<p id='readMoreBtn'><a class='btn' href='/promotions/" + featFile + "'>Read More</a></p>";
			  }else if(featLink != null){
				theHTML += "<br><p id='readMoreBtn'><a class='btn' href='" + featLink + "'>Read More</a></p>";
			  }
			  
			  theHTML += "</div></div>";
		  }
		  
		  
		  if((theCount % 2) == 0){
			$("#middleCol").append(theHTML);
		  }else{
			$("#rightCol").append(theHTML);
		  }
		  
		  theCount++;
		}
	  });
  }
  
    
    
</script>
