<div id="theDepartments">
  <h2>Delivering the whole picture, not just a part of it: Quality, Service, and Value!</h2>
  <div id="aboutUs">
	<img src="Kickstrap/img/currentDay.jpg" alt="Duane's current store front">
	<p>Since 1934 Southside Market has been Bringing Value Home with their <b>Fresh Cut Meats</b>, <b>Cold Beverages</b>, <b>Fresh Produce</b>, <b>Donuts</b>, <b>Pastries</b>, and <b>Bread baked daily</b>.</p>
	<p>With great prices, excellence in service, you will be sure to have a fresh experience in grocery shopping. So stop by today and see why everyone is saying Southside Market is their Favorite grocery store to shop!</p>
	<p>Southside Market carries everything you need for your fishing and camping needs. We carry fishing tackle, worms, cold beverages, firewood, propane, ice and we are your local Fish and Game Vendor.</p>
  </div>
  <div class="left clearfix"></div>
  <div class="right clearfix"></div>
  
  
  <div class="aDepartment hideObject">
	<h3>Want to Fish in Idaho?</h3>
	<p>Idaho has some of the best fishing in the West, including Chinook salmon and Steelhead trout.</p>
	<h4>Here's what you need</h4>
	<ul class="">
	  <li>An Idaho fishing license valid for the year you want to fish. Different licenses are issued to <u>residents</ and <u>nonresidents</u>.</li>
	  <li>A special <u>resident permit</u> is needed to fish for salmon or steelhead. Nonresidents can purchase a <u>3-day nonresident permit</u>, which includes a fishing license.</li>
	  <li>A <u>two-pole permit</u> is available for resident anglers who want to fish with two poles. <u>Nonresidents</u> can buy a permit to fish with 2 poles as well.</li>
	</ul>
	<p>For information about where, what and when to go on your next fishing trip, stop in at Southside Market and check out the Idaho Fishing Regulations.</p>
  </div>
  
  <div class="aDepartment hideObject">
	<h3>Signature Meat</h3>
	<p>Our great meat department has been ran by generation to generation butchers. You demand and deserve the best in meat, poultry and seafood. Our fresh meat department is designed to satisfy even the most discriminating guests and ensure their satisfaction. Plus, our in-store butchers have a thorough knowledge of the items they carry and provide insight unavailable anywhere else.</p>
  </div>
  
  
  <div class="aDepartment hideObject">
	<h3>Nature intended produce</h3>
	<p>To eat right and stay fit, look to fresh produce as the answer for your nutritional needs. We go to great lengths to carry only the finest fruits and vegetables and to deliver them in the same excellent condition as when they were picked.</p>
  </div>
</div>

<script>
  $(".aDepartment").each(function(){
	var $this = $(this);
	var leftHeight = $("#theDepartments .left").height();
	var rightHeight = $("#theDepartments .right").height();
	
	
	if (leftHeight > rightHeight){
	  $(this).appendTo("#theDepartments .right").removeClass("hideObject");
	}else{
	  $(this).appendTo("#theDepartments .left").removeClass("hideObject");
	}
	
  });
</script>
