<?php include_once($_SERVER['DOCUMENT_ROOT'] . "/admin/inc/sessionStartGeneral.php") ?>
<?php
  if(isset($_GET['error'])){
    if($_GET['error'] == "noAccess"){
?>
  <div id="noEditError">
        <div class="alert alert-error">
              <a class="close" data-dismiss="alert" href="#">x</a>You do not have sufficient privileges to access the administration area of this website. Please contact the web administrator if you need further assistance.
        </div>
  </div>
<?php
    }else if($_GET['error'] == "noPage"){
?>
  <div id="noPageError">
      <div class="alert alert-error">
            <a class="close" data-dismiss="alert" href="#">x</a><br>The requested page does not exist in our site. If you believe it does exist, please find it using the navigation or links at the bottom of the page.<br>
      </div>
    </div>
<?
    }
  }
  
  if(isset($_GET['loc'])){
    $theMissingFile = $_SERVER['QUERY_STRING'];
    include($_SERVER['DOCUMENT_ROOT'] . "/admin/inc/missingFiles.php");
    header("Location: http://" . $_SERVER['SERVER_NAME'] . "?error=noPage");
  }
?>
<?php
  $pageTitle = "Home";
  $pageDescription = "At Duane's Foodtwon we have everything you need, and expect, from your local grocery store.";
  $pageKeywords = "grocery, Duane's Foodtown, Fillmore, Fresh Foods";
?>
<?php include_once($_SERVER['DOCUMENT_ROOT'] . "/common/header.php") ?>
<?php include_once($_SERVER['DOCUMENT_ROOT'] . "/common/mainNav.php")?>
    
    
    
    <section class="container">
      
      <section class="container" id="mainContent">
        <?php include("includes/hotDealHome.php"); ?>
		<article class="row bottom-divider">
          <h2 id="theStoreName" class="hideObject"></h2>
          <div class="span8">
            <img src="Kickstrap/img/storeFront.jpg" id="storeFront" class="img-rounded" alt="Duane's Market Store Front" width="98%" />
          </div>
          <div class="span4">
            <?php include($_SERVER['DOCUMENT_ROOT'] . "/includes/storeInformation.php"); ?>
          </div>
		</article>
		
		<article class="row bottom-divider" style="padding:0 30px;">
		  <?php include("includes/wp-posts.php"); ?>
		</article>
		
		<article id="sameColHeights" class="row">
          <div class="span4 leftSide">
            <?php include($_SERVER['DOCUMENT_ROOT'] . "/includes/storeServices.php"); ?>
			<?php
			  $storeDeals = "home";
			  $priceWarning = false;
			  $numWanted = 4;
			  include($_SERVER['DOCUMENT_ROOT'] . "/includes/adItems.php");
			?>
	    
          </div>
		  
		  <div id="middleCol" class="span4 rightSide">
            
          </div>
	  
          <div id="rightCol" class="span4 rightSide">
			
          </div>
		  
          <?php include($_SERVER['DOCUMENT_ROOT'] . "/includes/carouselStatic.php"); ?>
          
        </article>
        
      </section>
    </section>
      
    
    
    
    <?php include_once($_SERVER['DOCUMENT_ROOT'] . "/common/footer.php"); ?>
  <script>
	
    $(document).ready(function(){
      var windowWidth = $(window).width();
      //$("#windowWidth").text(windowWidth);
      
      if(windowWidth < 765){
        $("#sameColHeights .span4").css("height", "");
      }else{
        getColHeights();
        
        var myInterval = setInterval(function(){
          $("#sameColHeights .span4").css("height", "");
          getColHeights();
        }, 1000);
      }
    
      setTimeout(function(){
		clearInterval(myInterval);
      }, 4000);
    
    });
    
    function getColHeights(){
      var leftHeight = $(".leftSide").height();
      var middleHeight = $("#middleCol").height();
      var rightHeight = $("#rightCol").height();
      //console.log("leftHeight: " + leftHeight + "\nrightHeight: " + rightHeight);
      
      var theNewHeight = Math.max(leftHeight, middleHeight, rightHeight);
      
      $("#sameColHeights .span4").height(theNewHeight);
    }
    
    $(window).resize(function(){
      var windowWidth = $(window).width();
      //$("#windowWidth").text(windowWidth);
      if(windowWidth < 765){
        $("#sameColHeights .span4").css("height", ""); 
      }else{
        $("#sameColHeights .span4").css("height", "");
        getColHeights();
      }
    });
    
    $("#rightSidebarCollapse h4").bind("click", function(){
      $this = $(this).children("i");
      $siblings = $(this).parents(".accordion-group").siblings();
      $("h4", $siblings).children("i").removeClass("icon-minus-sign").addClass("icon-plus-sign");
      if($this.hasClass("icon-plus-sign")){
        $this.removeClass("icon-plus-sign").addClass("icon-minus-sign");
      }else{
        $this.removeClass("icon-minus-sign").addClass("icon-plus-sign");
      }
    });
   
   //$(".weeklySpecial:last-child").css("margin-right", "0");
   ks.ready(function() {
      // JavaScript placed here will run only once Kickstrap has loaded successfully.
      
      $("a[href='#collapseTwo'] h4").click();
      
      
   });
  </script>
  
</body>
</html>
